Bug 729089 - [ipa webui] Does not return appropriate error when deleting an external host but checking update dns
Summary: [ipa webui] Does not return appropriate error when deleting an external host ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 17:14 UTC by Jenny Galipeau
Modified: 2015-01-04 23:50 UTC (History)
5 users (show)

Fixed In Version: ipa-2.1.1-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Removing an external host value with "update dns" checked. Consequence: The action appears to be successful but the host is not removed. Fix: This performs two actions, updating DNS and removing the host. When multiple actions are performed any errors that resulted were being lost. Result: These errors are now tracked and reported separately.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:29:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Jenny Galipeau 2011-08-08 17:14:57 UTC
Description of problem:
If you add an external host when IPA is install with integrated DNS and then try to delete it while checking update dns, from the UI is appears like it is successful, but does not delete the host.  The CLI returns an appropriate error saying the DNS zone <zonename> was not found.

http errors_log
[Mon Aug 08 13:03:16 2011] [error] ipa: INFO: admin@TESTRELM: batch(({u'params': [[u'external.example'], {u'updatedns': True}], u'method': u'host_del'},)): SUCCESS
[Mon Aug 08 13:03:17 2011] [error] ipa: INFO: admin@TESTRELM: host_find(None, all=False): SUCCESS

CLI
# ipa host-del external.example --updatedns
ipa: ERROR: DNS zone example not found
[root@jennyipa tmp]# echo $?
2


Version-Release number of selected component (if applicable):
# rpm -qi ipa-server
Name        : ipa-server                   Relocations: (not relocatable)
Version     : 2.0.99                            Vendor: (none)
Release     : 7.20110803T1738zgit9150187.el6   Build Date: Wed 03 Aug 2011 01:51:41 PM EDT
Install Date: Thu 04 Aug 2011 01:54:04 PM EDT      Build Host: goofy-vm16.dsdev.sjc.redhat.com
Group       : System Environment/Base       Source RPM: ipa-2.0.99-7.20110803T1738zgit9150187.el6.src.rpm
Size        : 3275087                          License: GPLv3+
Signature   : (none)
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server
Description :
IPA is an integrated solution to provide centrally managed Identity (machine,
user, virtual machines, groups, authentication credentials), Policy
(configuration settings, access control information) and Audit (events,
logs, analysis thereof). If you are installing an IPA server you need
to install this package (in other words, most people should NOT install
this package).


How reproducible:
always

Steps to Reproduce:
1. install IPA server with integrated DNS
2. Log into the web UI as admin
3. Hosts --> Add
4. enter a host FQDN outside of the managed DNS domain and check the force button (do not define an IP address)
5. delete the host and check Remove entries from DNS
  
Actual results:
Appears successful, but host is not deleted

Expected results:
Same as CLI - error is returned:
ipa: ERROR: DNS zone <zonename> not found


Additional info:

Comment 2 Dmitri Pal 2011-08-08 21:56:19 UTC
https://fedorahosted.org/freeipa/ticket/1592

Comment 3 Martin Kosek 2011-08-18 09:40:02 UTC
Fixed upstream
master: https://fedorahosted.org/freeipa/changeset/e8b64be673cdae9798da4ada71b58ba85816a8df

Comment 8 Rob Crittenden 2011-11-01 01:28:42 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Removing an external host value with "update dns" checked.
Consequence: The action appears to be successful but the host is not removed.
Fix: This performs two actions, updating DNS and removing the host. When multiple actions are performed any errors that resulted were being lost.
Result: These errors are now tracked and reported separately.

Comment 9 Namita Soman 2011-11-05 20:26:47 UTC
Verified using ipa-server-2.1.3-8.el6.x86_64

Added host, forced, with no IP. Deleted. No errors. And host was deleted.

/var/log/httpd/error_log:
[Sat Nov 05 16:21:32 2011] [error] ipa: INFO: admin@TESTRELM: host_add(u'test.testrelm', force=u'true'): SUCCESS
[Sat Nov 05 16:21:32 2011] [error] ipa: INFO: admin@TESTRELM: host_find(None, all=False): SUCCESS
[Sat Nov 05 16:21:34 2011] [error] ipa: INFO: admin@TESTRELM: host_show(u'test.testrelm', rights=True, all=True): SUCCESS
[Sat Nov 05 16:21:35 2011] [error] ipa: INFO: admin@TESTRELM: dnsrecord_show(u'testrelm', u'test'): NotFound
[Sat Nov 05 16:21:43 2011] [error] ipa: INFO: admin@TESTRELM: dnszone_find(None, all=False): SUCCESS
[Sat Nov 05 16:21:45 2011] [error] ipa: INFO: admin@TESTRELM: dnsrecord_find(u'testrelm', None, all=False): SUCCESS
[Sat Nov 05 16:24:44 2011] [error] ipa: INFO: admin@TESTRELM: host_show(u'test.testrelm', rights=True, all=True): SUCCESS
[Sat Nov 05 16:24:44 2011] [error] ipa: INFO: admin@TESTRELM: dnsrecord_show(u'testrelm', u'test'): NotFound
[Sat Nov 05 16:24:47 2011] [error] ipa: INFO: admin@TESTRELM: host_find(None, all=False): SUCCESS
[Sat Nov 05 16:24:53 2011] [error] ipa: INFO: admin@TESTRELM: batch: host_del((u'test.testrelm',), updatedns=True): SUCCESS
[Sat Nov 05 16:24:53 2011] [error] ipa: INFO: admin@TESTRELM: batch(({u'params': [[u'test.testrelm'], {u'updatedns': True}], u'method': u'host_del'},)): SUCCESS
[Sat Nov 05 16:24:54 2011] [error] ipa: INFO: admin@TESTRELM: host_find(None, all=False): SUCCESS

Comment 10 errata-xmlrpc 2011-12-06 18:29:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.